Subject: [Teas] Ben Campbell's No Objection on draft-ietf-teas-actn-info-model-09: (with COMMENT)

From: Ben Campbell <[email-masked]>
Date: Tue, 19 Jun 2018 20:13:58 -0700

Ben Campbell has entered the following ballot position for
draft-ietf-teas-actn-info-model-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-teas-actn-info-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

What is the goal of publishing this as an RFC? It seems like an intermediate
document that doesn't have archival value. I do not find publication of an
information model mentioned on the TEAS charter, but maybe I missed it.

§9: There are three upper-case SHOULDs in this section, but no RFC 8174 or 2119
boilerplate. Normative keywords don't really seem appropriate for an
information model, so perhaps they should be lower case?

---

From: Leeyoung <[email-masked]>
Date: Wed, 20 Jun 2018 22:04:34 +0000

Hi Ben, 

Thanks for providing your comments. 

The authors believe that this Info model draft has an archival value in and of itself as the difference between the IM and the DM is well specified in RFC3444. This draft, as a typical IM would, provides the relationship between the managed objects which cannot be easily described in DM. Recently information models in other SDOs have been an important work item in and of itself, independent of DM or protocol developments. In light of that, I believe this draft provides values for operators to understand high-level abstract models (with modeled objects and the whole set of primitives) of the two of key ACTN interfaces (CMI and MPI). Of course, this draft can also be beneficial for implementers for their detailed DM design and protocol development.  

In regard to your comment in section 9, I agree that three occurrences of "SHOULD" be replaced with a lower case. 

Thanks.
Young 
-----Original Message-----
From: Ben Campbell [mailto:[email-masked]] 
Sent: Tuesday, June 19, 2018 10:14 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Vishnu Beeram <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Ben Campbell's No Objection on draft-ietf-teas-actn-info-model-09: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

What is the goal of publishing this as an RFC? It seems like an intermediate document that doesn't have archival value. I do not find publication of an information model mentioned on the TEAS charter, but maybe I missed it.

§9: There are three upper-case SHOULDs in this section, but no RFC 8174 or 2119 boilerplate. Normative keywords don't really seem appropriate for an information model, so perhaps they should be lower case?